<table width="680" class="from_table2_one">
	<thead>
	<tr class="area_ajax_list_title">
	  <th class="pd-left" width="100"><tpl> $langSysPorductMessageHuman </tpl></th>
		<th width="100"><tpl> $langSysPorductContent </tpl></th>
	  <th width="150"><tpl> $langSysMessageTime </tpl></th>
	  <th width="100"><tpl> $langSysShopKeeperRevert </tpl></th>
	  <th width="150"><tpl> $langSysRevertTime </tpl></th>
		<th width="100"><tpl> $langSysProductBaby </tpl></th>
	  <th width="120"><tpl> $langCOperation </tpl></th>
	</tr>
	</thead>
	<tpl> section name=i loop=$message_array </tpl>
	<tr>
       <td class="pd-left" width="100" align="left"><a href="../store/userinfo.php?userid=<tpl> $message_array[i].msg_member_id </tpl>" target="_blank">
      <tpl> $message_array[i].member_name </tpl></a></td>
          <td width="100" align="left"><a href="javascript:;" style="cursor:pointer;" title="<tpl> $message_array[i].cut_message_content </tpl>">
      <tpl> $langSysPorductMessageContent </tpl></a></td>
      <td width="150" align="left"><tpl> $message_array[i].message_time </tpl></td>
          <td width="100" align="left">
		  <tpl> if $message_array[i].cut_message_recontent neq "" </tpl>
		 	<a href="javascript:;" style="cursor:pointer;" title="<tpl> $message_array[i].cut_message_recontent </tpl>"><tpl> $langSysRevertContent </tpl></a>
		  <tpl> /if </tpl>
	  </td>
      <td width="150" align="left"><tpl> $message_array[i].re_time </tpl></td>
          <td width="100" align="left"><tpl> $message_array[i].p_name </tpl></td>
       	  <td width="120" align="left">
		  <a href="javascript:;"  onclick="ui_del('<tpl> $message_array[i].message_id </tpl>','<tpl> $message_array[i].member_id </tpl>');">
		  <tpl> $langCdele </tpl></a>
		  <a href="javascript:;"  onclick="ui_del_re('<tpl> $message_array[i].message_id </tpl>')"><tpl> $langSysDelRevert </tpl></a>
		  <!--<a href="javascript:;"  onclick="ui_del('<tpl> $message_array[i].message_id </tpl>','<tpl> $message_array[i].member_id </tpl>');" title="<tpl> $langCdele </tpl>" class="del_a_pic">
       	  </a> <a href="javascript:;"  onclick="ui_del_re('<tpl> $message_array[i].message_id </tpl>')" title="<tpl> $langSysDelRevert </tpl>" class="del_reply_a_pic"></a>
			-->
	  </td>
  </tr>
	  <tpl> /section </tpl>
</table>
<tpl> if $message_array[0].member_id neq'' </tpl>
	<div class="table-5-bottom">
		<div class="btn_marginright"><tpl> $pagelist </tpl></div>
	</div>
<tpl> else </tpl>
	<pre><tpl> $langCNull </tpl></pre>
<tpl> /if </tpl>
	
	
<div id="question" style="display:none; cursor: default; padding:10px">
  <B style=" font-size:14px; margin-top:10px; line-height:50px; height:50px;padding-top:10px; padding-bottom:10px"><tpl> $langSysDelThisMessage </tpl></B><br />
  <p>
      <input name="yes" type="button" id="yes" value="<tpl> $langCYes </tpl>" style=" border:1px solid #CCCCCC;width:80px; margin:5px; background-image:url(../templates/system_new/images/anniu.gif)" />
      <input name="no" type="button" id="no" value="<tpl> $langCNo </tpl>" style="border:1px solid #CCCCCC;width:80px; margin:5px; background-image:url(../templates/system_new/images/anniu.gif)"/>
	  <input type="hidden" id="del_value" />
	  <input type="hidden" id="del_value_2" />
  </p>
</div>
<div id="questionre" style="display:none; cursor: default; padding:10px">
  <b style=" font-size:14px; margin-top:10px; line-height:50px; height:50px;padding-top:10px; padding-bottom:10px"><tpl> $langSysDelThisMessageRevert </tpl></b><br />
  <p>
      <input name="yesre" type="button" id="yesre" value="<tpl> $langCYes </tpl>" style=" border:1px solid #CCCCCC;width:80px; margin:5px; background-image:url(../templates/system_new/images/anniu.gif)" />
      <input name="nore" type="button" id="nore" value="<tpl> $langCNo </tpl>" style="border:1px solid #CCCCCC;width:80px; margin:5px; background-image:url(../templates/system_new/images/anniu.gif)" />
	  <input type="hidden" id="del_valuere" />
  </p>
</div>


<script>
var question = $('#question')[0];
var questionre = $('#questionre')[0];

function ui_del(str,str2){
	hideMessage();
	$.blockUI(question, { width: '275px' });
	$('#del_value').val(str);
	$('#del_value_2').val(str2);
}
function ui_del_re(str){
	hideMessage();
	$.blockUI(questionre, { width: '275px' });
	$('#del_valuere').val(str);
}


$(function() {

	$('a').Tooltip({
		track: true,
		delay: 0,
		showURL: false,
		showBody: " - ",
		extraClass: "pretty",
		fixPNG: true,
		opacity: 0.95,
		left: -120

	});

	$('#yes').click(function() {
		$.ajax({
			url: "productmessage.manage.php",
			data: 'action=del&messageid='+$('#del_value').val()+'&memberid='+$('#del_value_2').val(),
			type:'post',
			dataType:"json",
			beforeSubmit:  showLoading(showText),
			success: function(msg){
				hideLoading();
				showMessage(msg.message,msg.type);
				if(msg.type == 1){
					ShowDiv = 'result_content';
					getPageContent('productmessage.manage.php?action=ajax_list<tpl> if $message_array|@count neq 1 </tpl>&curpage=<tpl>$curpage</tpl><tpl>/if</tpl>');
				}
				$.unblockUI();
			}
		});
		return false;
	});

	$('#no').click($.unblockUI);

	$('#yesre').click(function() {
		$.ajax({
			url: "productmessage.manage.php",
			data: 'action=del&messageid='+$('#del_value_re').val(),
			type:'post',
			dataType:"json",
			beforeSubmit:  showLoading(showText),
			success: function(msg){
				hideLoading();
				showMessage(msg.message,msg.type);
				if(msg.type == 1){
					ShowDiv = 'result_content';
					getPageContent('productmessage.manage.php?action=ajax_list<tpl> if $message_array|@count neq 1 </tpl>&curpage=<tpl>$curpage</tpl><tpl>/if</tpl>');
				}
				$.unblockUI();
			}
		});
		return false;
	});

	$('#nore').click($.unblockUI);

});
/* $(document).ready(function() {
var data_form;

//question = $('#question')[0];
//alert(question);
var question = $('#question')[0];
var questionre = $('#questionre')[0];
<tpl> section name=i loop=$message_array </tpl>
//alert("#delbutton<tpl> $message_array[i].message_id </tpl>");
$("#delbutton<tpl> $message_array[i].message_id </tpl>").click(function(){
$.blockUI(question, { width: '275px' });
//alert($(this).attr('id'));
$('#action<tpl> $message_array[i].message_id </tpl>').attr('value','del')
strTemp = $(this).attr('id');
del(strTemp.substr(9,strTemp.length-1));
});
$("#delrebutton<tpl> $message_array[i].message_id </tpl>").click(function(){
$.blockUI(questionre, { width: '275px' });
//alert($(this).attr('id'));
$('#action<tpl> $message_array[i].message_id </tpl>').attr('value','reclear')
strTemp = $(this).attr('id');
del(strTemp.substr(11,strTemp.length-1));
});
<tpl> /section </tpl>
//载入新增界面
$('#butt_addmember').click(function(){
//载入列表页面
ShowDiv = "result_content";
getPageContent("system_power.manage.php?action=add_member");
});

}); *//* function del(id){
//删除操作
var options_del = {
beforeSubmit:  function(){showLoading(showText);},
success:       function(msg){
hideLoading();
showMessage(msg.message);
if(msg.type == 1){
ShowDiv = 'result_content';
getPageContent('productmessage.manage.php?action=ajax_list');
}
},
type:      'post',
dataType:  'json'
};

$('#yes').click(function() {
//$.blockUI("<h1>Remote call in progress...</h1>" );
$.unblockUI();
$('#form_del' + id).ajaxSubmit(options_del);
return false;
});
$('#no').click($.unblockUI);
$('#yesre').click(function() {
//$.blockUI("<h1>Remote call in progress...</h1>" );
$.unblockUI();
$('#form_del' + id).ajaxSubmit(options_del);
return false;
});
$('#nore').click($.unblockUI);
} *///删除
function ajax_del(str){
	$.ajax({
		url: "productmessage.manage.php",
		data: str,
		type:'post',
		dataType:"json",
		beforeSubmit:  showLoading(showText),   // 提交之前执行的方法
		success: function(msg){
			hideLoading();
			showMessage(msg.message,msg.type);
			if(msg.type == 1){
				ShowDiv = 'result_content';
				getPageContent('productmessage.manage.php?action=ajax_list');
			}
		}
	});
	return false;
}
</script>
